Chromium Code Reviews
Help | Chromium Project | Sign in
(33)

Issue 11361057: [cros] Add RecursiveLock for CrOS implementation. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by Ivan Korotkov
Modified:
2 years, 6 months ago
CC:
chromium-reviews
Visibility:
Public.

Description

[cros] Add RecursiveLock for CrOS implementation. BUG=157348 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=166186

Patch Set 1 #

Patch Set 2 : Enable everywhere for testing #

Patch Set 3 : Lock-less impl #

Patch Set 4 : Revert to CrOS-only #

Patch Set 5 : Merge #

Unified diffs Side-by-side diffs Delta from patch set Stats (+186 lines, -80 lines) Patch
A rlz/lib/recursive_lock.h View 1 2 1 chunk +34 lines, -0 lines 0 comments Download
A rlz/lib/recursive_lock.cc View 1 2 1 chunk +40 lines, -0 lines 0 comments Download
A + rlz/lib/recursive_lock_unittest.cc View 6 chunks +98 lines, -80 lines 0 comments Download
M rlz/rlz.gyp View 2 3 4 chunks +14 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 9 (0 generated)
Ivan Korotkov
2 years, 6 months ago (2012-11-02 09:09:45 UTC) #1
Dmitry Vyukov
You usually implement recursive mutex as follows. It's much cheaper and faster. class RecursiveLock { ...
2 years, 6 months ago (2012-11-02 09:52:20 UTC) #2
Ivan Korotkov
Thanks! I like your implementation more, updated. Adding Roger for OWNERS approval.
2 years, 6 months ago (2012-11-02 11:00:49 UTC) #3
Dmitry Vyukov
LGTM
2 years, 6 months ago (2012-11-02 11:51:12 UTC) #4
Roger Tawa
lgtm
2 years, 6 months ago (2012-11-02 20:21:22 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ivankr@chromium.org/11361057/6002
2 years, 6 months ago (2012-11-03 13:21:05 UTC) #6
commit-bot: I haz the power
Retried try job too often for step(s) content_browsertests
2 years, 6 months ago (2012-11-03 16:41:17 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ivankr@chromium.org/11361057/7006
2 years, 6 months ago (2012-11-06 08:29:57 UTC) #8
commit-bot: I haz the power
2 years, 6 months ago (2012-11-06 10:39:03 UTC) #9
Change committed as 166186
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be